> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> API to list cursor-based paginated list of users in your workspace.



## OpenAPI

````yaml GET /v1/user/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/user/:
    get:
      summary: List Users
      description: API to list cursor-based paginated list of users in your workspace.
      operationId: list-users
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 1201709
                      limit: 10
                      has_prev: false
                      before: null
                      has_next: true
                      after: 01JXXXX99APxxxxxx8Wxxxx1B
                    results:
                      - distinct_id: _distinct_id_
                        properties:
                          name: Marge Simpson
                        created_at: '2025-04-04T21:37:36.712496+00:00'
                        updated_at: '2025-04-04T21:37:36.743167+00:00'
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    description: Metadata related to pagination.
                    properties:
                      count:
                        type: integer
                        description: Total number of records available.
                        example: 1201709
                      limit:
                        type: integer
                        description: Maximum number of records per page.
                        example: 10
                      has_prev:
                        type: boolean
                        description: Indicates if there is a previous page.
                        example: false
                      before:
                        type: string
                        nullable: true
                        description: Cursor for the previous page.
                        example: null
                      has_next:
                        type: boolean
                        description: Indicates if there is a next page.
                        example: true
                      after:
                        type: string
                        description: Cursor for the next page.
                        example: 01JXXXX99APxxxxxx8Wxxxx1B
                  results:
                    type: array
                    description: List of users objects
                    items:
                      type: object
                      properties:
                        distinct_id:
                          type: string
                          example: _distinct_id_
                        properties:
                          type: object
                          description: User properties (simplified)
                        created_at:
                          type: string
                          format: date-time
                          example: '2025-04-04T21:37:36.712496+00:00'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2025-04-04T21:37:36.743167+00:00'
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````